define([
    "dojo",
    "dojo/_base/declare",
    "dojo/Stateful",

    "epi/_Module",

    "epi-cms/plugin-area/edit-notifications"
], function (
    dojo,
    declare,
    Stateful,

    _Module,

    editNotificationPluginArea
) {
    // Notification
    var VevEditNotification = declare([Stateful], {
        order: 1000,

        _valueSetter: function (value) {
            // console.log("Vev page");
            // console.log(value);
            var notification = null;
            
            if(value.contentData
                && value.contentData.properties
                && value.contentData.properties.pageKey
                && value.contentData.properties.projectId)
            {
                var url = "https://editor.vev.design/edit/" + value.contentData.properties.projectId + "/" + value.contentData.properties.pageKey 
                notification = "This page comes from Vev. Edit it <a href='" + url + "' target='_blank'>here</a>"
            }

            if(notification) {
                this.set("notification", {content: notification});
            } else {
                 this.set("notification", { content: null });
            }
        }
    });

    return declare([_Module], {
        initialize: function () {
            this.inherited(arguments);

            // adding notification to notification plugin area
            editNotificationPluginArea.add(VevEditNotification);
        }
    });
});